# Omniauth::Wework::Oauth2

Omniauth Strategy for https://work.weixin.qq.com
企业微信的Omniauth Strategy

## 安装
```ruby
gem "omniauth-wework-oauth2", git: 'git@luckyzune.com:wechat/omniauth-wework-oauth2.git'
```

## 使用

在Rail app中添加中间件的例子 `config/initializers/omniauth.rb`:
```ruby
Rails.application.config.middleware.use OmniAuth::Builder do
  provider :wework, ENV["WEWORK_APP_ID"], ENV["WEWORK_APP_SECRET"]
  :authorize_params => {:agentid => ENV["WEWORK_AGENT_ID"]}
end
```

现在可以访问OmniAuth Wework OAuth2 URL: `/auth/wework`